# smfi_settimeout

SYNOPSIS |
    #include <libmilter/mfapi.h>
    int smfi_settimeout(
    	int otimeout
    );
Set the filter's connection timeout value.
DESCRIPTION |
Called When | smfi_settimeout should only be called before smfi_main.
Effects | Sets the number of seconds libmilter will wait for an MTA connection before timing out a socket. If smfi_settimeout is not called, a default timeout of 1800 seconds is used.
ARGUMENTS |
Argument | Description
--- | ---
otimeout | The number of seconds to wait before timing out (> 0). Zero means no wait, not "wait forever".
RETURN VALUES | smfi_settimeout always returns MI_SUCCESS.

Copyright (c) 2000 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.